#include <bits/stdc++.h>
using namespace std;
int main(int argc, char** argv) {
	long long n;
	cin>>n;
	int k=0;
	vector<int> v;
	
	while(n)
	{
		v.push_back(n%10);
		n=n/10;
	}
	vector<int> brojponavljanja(v.size());
	for(int i=0; i<v.size();i++)
	{
		for(int j=0;j<v.size();j++)
		{
			if(v[i]==v[j]) {
				if(i!=j+1 && j!=i+1)
				{
				brojponavljanja[k]++;
			}
		}
			
		}
		k++;
	}
	int brojac=0;
	for(int i=0; i<v.size();i++)
	{
		if(brojponavljanja[i]==2) brojac++; 
	}
	brojac=brojac/4;
	cout<<brojac;
	return 0;
}